Package org.apache.uima.collection.metadata

# Interface CasProcessorErrorHandling

All Superinterfaces:
  `Cloneable`, `MetaDataObject`, `Serializable`, `XMLizable`

public interface CasProcessorErrorHandling extends MetaDataObject
An object to contains configuration specific to error handling applicable to every CasProcossor. It provides the means of configuring max # of restarts for CasProcessor, error thresholds, and max timeout.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `CasProcessorErrorRateThreshold`
  `getErrorRateThreshold()`
  Returns max number of restarts allowed for a CasProcessor and an action to take by the CPE in case the threshold is reached.
  `CasProcessorMaxRestarts`
  `getMaxConsecutiveRestarts()`
  Returns max number of restarts allowed for a CasProcessor and an action to take by the CPE in case the threshold is reached.
  `CasProcessorTimeout`
  `getTimeout()`
  Returns the timeout the CPE will wait for a response from CasProcessor.
  `void`
  `setErrorRateThreshold(CasProcessorErrorRateThreshold aCasPErrorThreshold)`
  Sets max number of errors allowed for a CasProcessor and an action to take by the CPE in case the threshold is reached.
  `void`
  `setMaxConsecutiveRestarts(CasProcessorMaxRestarts aCasPRestarts)`
  Sets max number of restarts allowed for a CasProcessor and an action to take by the CPE in case the threshold is reached.
  `void`
  `setTimeout(CasProcessorTimeout aTimeout)`
  Sets the timeout the CPE will wait for a response from CasProcessor.

  ### Methods inherited from interface org.apache.uima.resource.metadata.MetaDataObject

  `clone, equals, getAttributeValue, getSourceUrl, getSourceUrlString, isModifiable, listAttributes, setAttributeValue, setSourceUrl`

  ### Methods inherited from interface org.apache.uima.util.XMLizable

  `buildFromXMLElement, buildFromXMLElement, toXML, toXML, toXML, toXML`

- ## Method Details

  - ### setMaxConsecutiveRestarts

    void setMaxConsecutiveRestarts(CasProcessorMaxRestarts aCasPRestarts)
    Sets max number of restarts allowed for a CasProcessor and an action to take by the CPE in case the threshold is reached.
    Parameters:
      `aCasPRestarts` - - `CasProcessorMaxRestarts` instance

  - ### getMaxConsecutiveRestarts

    CasProcessorMaxRestarts getMaxConsecutiveRestarts()
    Returns max number of restarts allowed for a CasProcessor and an action to take by the CPE in case the threshold is reached.
    Returns:
      `CasProcessorMaxRestarts` instance

  - ### setErrorRateThreshold

    void setErrorRateThreshold(CasProcessorErrorRateThreshold aCasPErrorThreshold)
    Sets max number of errors allowed for a CasProcessor and an action to take by the CPE in case the threshold is reached.
    Parameters:
      `aCasPErrorThreshold` - - `CasProcessorErrorRateThreshold`

  - ### getErrorRateThreshold

    CasProcessorErrorRateThreshold getErrorRateThreshold()
    Returns max number of restarts allowed for a CasProcessor and an action to take by the CPE in case the threshold is reached.
    Returns:
      `CasProcessorErrorRateThreshold` instance

  - ### setTimeout

    void setTimeout(CasProcessorTimeout aTimeout)
    Sets the timeout the CPE will wait for a response from CasProcessor.
    Parameters:
      `aTimeout` - `CasProcessorTimeout`

  - ### getTimeout

    CasProcessorTimeout getTimeout()
    Returns the timeout the CPE will wait for a response from CasProcessor.
    Returns:
      `CasProcessorTimeout` instance